Hot fix installation fails

I cannot install fixes >H15, I don't know why and what to do.

Failed to install package: nuxeo-5.8.0-HF15-1.0.0 (Failed to validate package nuxeo-5.8.0-HF15-1.0.0 -> [Cannot overwrite existing file: js-1.7R1.jar]) Unable to install nuxeo-5.8.0-HF15-1.0.0

0 votes

1 answers

1075 views

ANSWER

Please indicate your operating system.
08/14/2014



The JAR was not present before the HF15:

$ find . -name js-1.7R1.jar
./nxserver/data/packages/store/nuxeo-5.8.0-HF15-1.0.0/install/newlib/js-1.7R1.jar
./nxserver/lib/js-1.7R1.jar

Can you paste the output of “./bin/nuxeoctl showconf“? Also check the rights on “nxserver/lib/js-1.7R1.jar“. Do you know where does it come from?

Finally, issue the following command and paste its output:

$ ./bin/nuxeoctl mp-install nuxeo-5.8.0-HF15-1.0.0 -dc org.nuxeo.connect,org.nuxeo.launcher
0 votes



Thank you Julien, Sorry but I forgot to keep you updated of my researches. I've renamed js-1.7R1.jar into js-1.7R1.jar.bak and after that installation went well.
08/23/2014